.contact-in-home {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 10em;
    background-color: #222222;
    margin-left: 4em;
    margin-right: 4em;
    margin-top: 0;
    border-radius: 2em;
    box-shadow: 0px -10px 15px rgb(87, 83, 83);
    font-family: 'Sawarabi Mincho', sans-serif;
    letter-spacing: 1px;
    position: relative;
    top: 4em;
}

.address,
.phn,
.mail {
    height: 12em;
    width: 20em;
    color: beige;
    /* background-color: blue; */
}

.address p,
.phn p,
.mail p {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-top: 1em;
}

.address p i,
.phn p i,
.mail p i {
    color: orangered;
}

.phn {
    margin-left: 2em;
    margin-right: 2em;
}

.address {
    margin-right: 6em;
}

.address p span:last-of-type {
    letter-spacing: 0!important;
}

.mail {
    margin-left: 6em;
}

.address p span:first-of-type,
.phn p span:first-of-type,
.mail p span:first-of-type {
    font-size: 1.5em;
    padding-top: 10px;
    padding-bottom: 10px;
}

.address p span:last-of-type,
.phn p span:last-of-type,
.mail p span:last-of-type {
    font-size: 1.2em;
}

.contact-in-home .border {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-in-home .border div:nth-child(1),
.contact-in-home .border div:nth-child(3) {
    background-color: rgb(255, 255, 255);
    width: 1px;
    height: 6em;
    margin: 3px;
}

.contact-in-home .border div:nth-child(2) {
    background-color: rgb(255, 255, 255);
    width: 1px;
    height: 9em;
    margin: 1px;
}

@media only screen and (max-width:600px) {
    .contact-in-home {
        flex-direction: column;
        margin: .5em;
        margin-bottom: 0;
        padding-bottom: 1em;
        border-radius: 1.5em;
        position: relative;
        top: 0;
    }
    .contact-in-home .border {
        flex-direction: column;
    }
    .contact-in-home .border div:nth-child(1),
    .contact-in-home .border div:nth-child(3) {
        background-color: rgb(255, 255, 255);
        width: 6em;
        height: 1px;
    }
    .contact-in-home .border div:nth-child(1) {
        margin-top: 1.5em;
    }
    .contact-in-home .border div:nth-child(2) {
        background-color: rgb(255, 255, 255);
        width: 9em;
        height: 1px;
        margin: 2px;
    }
    .phn,
    .address,
    .mail {
        margin: 0;
    }
}

.footer-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-image: url(../img/footer-1.jpg);
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 10em;
    padding-top: 5em;
    padding-bottom: 1em;
    font-family: 'Bellota Text', cursive;
    color: rgb(0, 0, 0);
    box-shadow: 0px -8px 10px rgb(87, 83, 83);
    /* position: relative;
    top: -4em;
    z-index: -1; */
}

.social-media-icon-div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.socialIcon:nth-child(3) {
    background-color: #0073B0;
}

.socialIcon:nth-child(2) {
    background-color: red;
}

.socialIcon:nth-child(1){
    background-color: #0073B0;
}

.socialIcon:nth-child(1) .fab,
.socialIcon:nth-child(2) .fab,
.socialIcon:nth-child(4) .fab {
    color: rgb(255, 255, 255);
}

.contact-in-home .phn p span a {
    color: beige;
}

.socialIcon:nth-child(3) .fab {
    color: rgb(255, 255, 255);
}

.footer-scl-name {
    font-size: 1.3em;
    letter-spacing: 1px;
    margin-bottom: 5px;
    font-weight: 700;
}

.follow-msg {
    color: rgb(0, 0, 0);
    font-size: 1.1em;
    font-weight: 700;
}

.socialIcon {
    margin: 5px;
    padding: 5px;
    height: 45px;
    width: 45px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.3em;
}

.copyright {
    letter-spacing: 1px;
    font-weight: 700;
}

@media only screen and (max-width:600px) {
    .footer-details {
        padding-top: 1em;
        padding-bottom: .5em;
        margin-top: 5px;
        box-shadow: 0px -10px 15px rgb(87, 83, 83);
        background-attachment: scroll;
    }
}


/* -------------------------------- */

.go-to-top-btn {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    outline: none;
    background-color: transparent;
    cursor: pointer;
    border: 1px solid #ffffff;
    border-radius: 50%;
    height: 3em;
    width: 3em;
}

.go-to-top-btn:hover {
    background-color: rgb(202, 199, 199);
}

.go-to-top-btn .fa-arrow-up {
    font-size: 2em;
    color: rgb(119, 115, 115);
}

@media only screen and (max-width:768px) {
    .go-to-top-btn {
        bottom: 20px;
        right: 10px;
        height: 2.5em;
        width: 2.5em;
        background-color: rgba(192, 187, 187, 0.253);
    }
    .go-to-top-btn .fa-arrow-up {
        font-size: 1.5em;
    }
    .go-to-top-btn:hover {
        background-color: rgba(192, 187, 187, 0.253);
    }
}


/* --------------------------- */

.last {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Righteous', cursive;
}

/*UnDer construction design*/

.underCons {
    font-size: 1.5em;
    color: blue;
    
}
